FTTextureGlyph Class Reference

FTTextureGlyph is a specialisation of FTGlyph for creating texture glyphs. More...

`#include <FTTextureGlyph.h>`

Inheritance diagram for FTTextureGlyph:

## Public Member Functions

| FTTextureGlyph (FT_GlyphSlot glyph, int id, int xOffset, int yOffset, int width, int height)
| Constructor.
virtual | ~FTTextureGlyph ()
| Destructor.
virtual const FTPoint & | Render (const FTPoint &pen, int renderMode)
| Render this glyph at the current pen position.
Public Member Functions inherited from FTGlyph
virtual | ~FTGlyph ()
| Destructor.
virtual float | Advance () const
| Return the advance width for this glyph.
virtual const FTBBox & | BBox () const
| Return the bounding box for this glyph.
virtual FT_Error | Error () const
| Queries for errors.

## Additional Inherited Members

Protected Member Functions inherited from FTGlyph
| FTGlyph (FT_GlyphSlot glyph)
| Create a glyph.

## Detailed Description

FTTextureGlyph is a specialisation of FTGlyph for creating texture glyphs.

Definition at line 43 of file FTTextureGlyph.h.

## Constructor & Destructor Documentation

## FTTextureGlyph()

FTTextureGlyph::FTTextureGlyph | ( | FT_GlyphSlot | glyph,
|  | int | id,
|  | int | xOffset,
|  | int | yOffset,
|  | int | width,
|  | int | height
| ) |  |

Constructor.

Parameters

  glyph | The Freetype glyph to be processed
  id | The id of the texture that this glyph will be drawn in
  xOffset | The x offset into the parent texture to draw this glyph
  yOffset | The y offset into the parent texture to draw this glyph
  width | The width of the parent texture
  height | The height (number of rows) of the parent texture

## ~FTTextureGlyph()

virtual FTTextureGlyph::~FTTextureGlyph | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## Render()

virtual const FTPoint & FTTextureGlyph::Render | ( | const FTPoint & | pen,
|  | int | renderMode
| ) |  |

virtual

Render this glyph at the current pen position.

Parameters

  pen | The current pen position.
  renderMode | Render mode to display

Returns
  The advance distance for this glyph.

Implements FTGlyph.

The documentation for this class was generated from the following file:

- FTTextureGlyph.h